apiVersion: v1
kind: Pod
metadata:
  annotations:
    openshift.io/deployment-config.latest-version: "70"
    openshift.io/deployment-config.name: pam771-rhpamcentr
    openshift.io/deployment.name: pam771-rhpamcentr-70
    openshift.io/generated-by: OpenShiftNewApp
    openshift.io/scc: restricted
  creationTimestamp: 2020-08-31T15:03:10Z
  generateName: pam771-rhpamcentr-70-
  labels:
    app: rhpam77-authoring
    application: pam771
    deployment: pam771-rhpamcentr-70
    deploymentConfig: pam771-rhpamcentr
    deploymentconfig: pam771-rhpamcentr
    service: pam771-rhpamcentr
  name: pam771-rhpamcentr-70-4jt4v
  namespace: pamsso
  ownerReferences:
  - apiVersion: v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicationController
    name: pam771-rhpamcentr-70
    uid: 0eacb12c-eb9b-11ea-895a-fa163ef7c605
  resourceVersion: "24393336"
  selfLink: /api/v1/namespaces/pamsso/pods/pam771-rhpamcentr-70-4jt4v
  uid: 15b93b55-eb9b-11ea-895a-fa163ef7c605
spec:
  containers:
  - env:
    - name: APPLICATION_USERS_PROPERTIES
      value: /opt/kie/data/configuration/application-users.properties
    - name: APPLICATION_ROLES_PROPERTIES
      value: /opt/kie/data/configuration/application-roles.properties
    - name: KIE_ADMIN_USER
      valueFrom:
        secretKeyRef:
          key: KIE_ADMIN_USER
          name: rhpam-credentials
    - name: KIE_ADMIN_PWD
      valueFrom:
        secretKeyRef:
          key: KIE_ADMIN_PWD
          name: rhpam-credentials
    - name: KIE_MBEANS
      value: enabled
    - name: KIE_SERVER_CONTROLLER_OPENSHIFT_ENABLED
      value: "false"
    - name: KIE_SERVER_CONTROLLER_OPENSHIFT_GLOBAL_DISCOVERY_ENABLED
      value: "false"
    - name: KIE_SERVER_CONTROLLER_OPENSHIFT_PREFER_KIESERVER_SERVICE
      value: "true"
    - name: KIE_SERVER_CONTROLLER_TEMPLATE_CACHE_TTL
      value: "5000"
    - name: KIE_SERVER_CONTROLLER_TOKEN
    - name: MAVEN_MIRROR_URL
    - name: MAVEN_REPO_ID
      value: repo-custom
    - name: MAVEN_REPO_URL
    - name: MAVEN_REPO_USERNAME
    - name: MAVEN_REPO_PASSWORD
    - name: GIT_HOOKS_DIR
    - name: HTTPS_KEYSTORE_DIR
      value: /etc/businesscentral-secret-volume
    - name: HTTPS_KEYSTORE
      value: keystore.jks
    - name: HTTPS_NAME
      value: jboss
    - name: HTTPS_PASSWORD
      value: mykeystorepass
    - name: WORKBENCH_ROUTE_NAME
      value: pam771-rhpamcentr
    - name: SSO_URL
      value: https://sso-pamsso.apps.hmiura3.lab.upshift.rdu2.redhat.com/auth
    - name: SSO_OPENIDCONNECT_DEPLOYMENTS
      value: ROOT.war
    - name: SSO_REALM
      value: rhpam
    - name: SSO_SECRET
      value: b002d416-081a-41ef-b2eb-7f96820389f1
    - name: SSO_CLIENT
      value: bc
    - name: SSO_USERNAME
      value: admin
    - name: SSO_PASSWORD
      value: password
    - name: SSO_DISABLE_SSL_CERTIFICATE_VALIDATION
      value: "true"
    - name: SSO_PRINCIPAL_ATTRIBUTE
      value: preferred_username
    - name: HOSTNAME_HTTP
    - name: HOSTNAME_HTTPS
      value: rhpamcentr771.apps.hmiura3.lab.upshift.rdu2.redhat.com
    - name: AUTH_LDAP_URL
    - name: AUTH_LDAP_BIND_DN
    - name: AUTH_LDAP_BIND_CREDENTIAL
    - name: AUTH_LDAP_JAAS_SECURITY_DOMAIN
    - name: AUTH_LDAP_BASE_CTX_DN
    - name: AUTH_LDAP_BASE_FILTER
    - name: AUTH_LDAP_SEARCH_SCOPE
    - name: AUTH_LDAP_SEARCH_TIME_LIMIT
    - name: AUTH_LDAP_DISTINGUISHED_NAME_ATTRIBUTE
    - name: AUTH_LDAP_PARSE_USERNAME
    - name: AUTH_LDAP_USERNAME_BEGIN_STRING
    - name: AUTH_LDAP_USERNAME_END_STRING
    - name: AUTH_LDAP_ROLE_ATTRIBUTE_ID
    - name: AUTH_LDAP_ROLES_CTX_DN
    - name: AUTH_LDAP_ROLE_FILTER
    - name: AUTH_LDAP_ROLE_RECURSION
    - name: AUTH_LDAP_DEFAULT_ROLE
    - name: AUTH_LDAP_ROLE_NAME_ATTRIBUTE_ID
    - name: AUTH_LDAP_PARSE_ROLE_NAME_FROM_DN
    - name: AUTH_LDAP_ROLE_ATTRIBUTE_IS_DN
    - name: AUTH_LDAP_REFERRAL_USER_ATTRIBUTE_ID_TO_CHECK
    - name: AUTH_ROLE_MAPPER_ROLES_PROPERTIES
    - name: AUTH_ROLE_MAPPER_REPLACE_ROLE
    - name: JAVA_OPTS_APPEND
      value: -Ddatasource.management.disableDefaultDrivers=true -Djboss.as.management.blocking.timeout=6000
        -Dorg.jboss.weld.bootstrap.concurrentDeployment=false -Dorg.uberfire.metadata.index.dir=/opt/kie/data
    - name: ENABLE_ACCESS_LOG
      value: "true"
    image: registry.redhat.io/rhpam-7/rhpam-businesscentral-rhel8@sha256:8eeaa8b6ef049bad0aba252eebad45ca704b97d638a4a789899000b2143b8f11
    imagePullPolicy: Always
    name: pam771-rhpamcentr
    ports:
    - containerPort: 8778
      name: jolokia
      protocol: TCP
    - containerPort: 8080
      name: http
      protocol: TCP
    - containerPort: 8443
      name: https
      protocol: TCP
    readinessProbe:
      failureThreshold: 3
      httpGet:
        path: /rest/ready
        port: 8080
        scheme: HTTP
      initialDelaySeconds: 60
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 1
    resources:
      limits:
        memory: 2Gi
      requests:
        memory: 2Gi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000250000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /etc/businesscentral-secret-volume
      name: businesscentral-keystore-volume
      readOnly: true
    - mountPath: /opt/kie/data
      name: pam771-rhpamcentr-pvol
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: pam771-rhpamsvc-token-t8fcs
      readOnly: true
  dnsPolicy: ClusterFirst
  imagePullSecrets:
  - name: pam771-rhpamsvc-dockercfg-l5nj2
  nodeName: node-1.hmiura3.lab.upshift.rdu2.redhat.com
  nodeSelector:
    node-role.kubernetes.io/compute: "true"
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000250000
    seLinuxOptions:
      level: s0:c16,c5
  serviceAccount: pam771-rhpamsvc
  serviceAccountName: pam771-rhpamsvc
  terminationGracePeriodSeconds: 60
  tolerations:
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: businesscentral-keystore-volume
    secret:
      defaultMode: 420
      secretName: businesscentral-app-secret
  - name: pam771-rhpamcentr-pvol
    persistentVolumeClaim:
      claimName: pam771-rhpamcentr-claim
  - name: pam771-rhpamsvc-token-t8fcs
    secret:
      defaultMode: 420
      secretName: pam771-rhpamsvc-token-t8fcs
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: 2020-08-31T15:02:23Z
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: 2020-08-31T15:02:23Z
    message: 'containers with unready status: [pam771-rhpamcentr]'
    reason: ContainersNotReady
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: 'containers with unready status: [pam771-rhpamcentr]'
    reason: ContainersNotReady
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: 2020-08-31T15:03:10Z
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: docker://e7383ab35632164448ab399485daaa36582cdd7c6f781410ca6674af07b1ff3c
    image: docker-registry.default.svc:5000/pamsso/rhpam-businesscentral-rhel8@sha256:8eeaa8b6ef049bad0aba252eebad45ca704b97d638a4a789899000b2143b8f11
    imageID: docker-pullable://docker-registry.default.svc:5000/pamsso/rhpam-businesscentral-rhel8@sha256:8eeaa8b6ef049bad0aba252eebad45ca704b97d638a4a789899000b2143b8f11
    lastState: {}
    name: pam771-rhpamcentr
    ready: false
    restartCount: 0
    state:
      running:
        startedAt: 2020-08-31T15:02:28Z
  hostIP: 10.0.93.87
  phase: Running
  podIP: 10.129.3.181
  qosClass: Burstable
  startTime: 2020-08-31T15:02:23Z
